import type { AsyncData, AsyncDataOptions } from 'nuxt/app';
import type { SanityClient, SanityConfiguration } from './client';
export interface SanityHelper {
    client: SanityClient;
    config: SanityConfiguration;
    fetch: SanityClient['fetch'];
    setToken: (token: string) => void;
}
export declare const useSanity: (client?: string) => SanityHelper;
interface UseSanityQueryOptions<T> extends AsyncDataOptions<T> {
    client?: string;
}
export declare const useSanityQuery: <T = unknown, E = Error>(query: string, _params?: Record<string, any>, options?: UseSanityQueryOptions<T>) => AsyncData<T, true | E>;
export declare const useLazySanityQuery: <T = unknown, E = Error>(query: string, _params?: Record<string, any>, options?: UseSanityQueryOptions<T>) => AsyncData<T, true | E>;
export {};
